#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD0,0x84,0x46,0xAE,0x02,0x19,0x7B,0xED,0x16,0x8E,0x30,0xD5,
		0x19,0x6D,0xBC,0xBA,0x6F,0x45,0xB9,0xA9,0x30,0x47,0xEF,0x1D,
		0xDC,0xF4,0xBA,0x5E,0xD9,0x66,0xD5,0x56,0x2C,0xD2,0xC2,0xD6,
		0xE2,0x7F,0x41,0x1E,0xBF,0x3E,0xD8,0xD2,0xC6,0x26,0xC6,0x8B,
		0x51,0xA2,0xC9,0x02,0xCF,0x46,0xEA,0x24,0xA1,0x63,0x0A,0xD5,
		0x2A,0x00,0x3E,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
